## com.imcode.imcms.mapping.orm
Class UrlReference

    java.lang.Object
      com.imcode.imcms.mapping.orm.UrlReference

    public class UrlReference

extends java.lang.Object

Constructor Summary
`UrlReference()`

Method Summary
`java.lang.Integer` `getMetaId()`
`java.lang.String` `getUrl()`
`java.lang.String` `getUrlFrameName()`
`java.lang.String` `getUrlLanguagePrefix()`
`java.lang.String` `getUrlTarget()`
`java.lang.String` `getUrlText()`
`void` `setMetaId(java.lang.Integer metaId)`
`void` `setUrl(java.lang.String url)`
`void` `setUrlFrameName(java.lang.String urlFrameName)`
`void` `setUrlLanguagePrefix(java.lang.String urlLanguagePrefix)`
`void` `setUrlTarget(java.lang.String urlTarget)`
`void` `setUrlText(java.lang.String urlText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlReference

    public UrlReference()

Method Detail

### getUrlFrameName

    public java.lang.String getUrlFrameName()

### setUrlFrameName

    public void setUrlFrameName(java.lang.String urlFrameName)

### getUrlTarget

    public java.lang.String getUrlTarget()

### setUrlTarget

    public void setUrlTarget(java.lang.String urlTarget)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getUrlText

    public java.lang.String getUrlText()

### setUrlText

    public void setUrlText(java.lang.String urlText)

### getUrlLanguagePrefix

    public java.lang.String getUrlLanguagePrefix()

### setUrlLanguagePrefix

    public void setUrlLanguagePrefix(java.lang.String urlLanguagePrefix)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)